$(function()
{
    var $login = $('#login');
    var $pass = $('#password');
    var $signInButton = $('#signin_b');

    $signInButton.click(function () {
        var login = $login.val();
        var pass = $pass.val();

        Auth.signIn(login, pass, function (success) {
            if (success === true) {
                $signInButton.val('Всё отлично!');
                window.location.replace(URLdir);
            } else {
                EventInspector_ShowMsg('Неверный логин и/или пароль!', 'error');
            }
        });
    });

    Auth.onAllow = function() {
        $signInButton.removeAttr('disabled');
    };

    // todo: animation
    Auth.onDeprecate = function() {
        $signInButton.attr('disabled', 'disabled');
    };
    
    
    $('#remind').click(function()
    { 
        
        $.post(URLdir + 'handler/sign/remindPassword', {'email': $('#email').val()},
        function(data)
        {
            data = $.parseJSON(data);
            if(data.success === true)
            {
                $('#remind').val('Проверьте почту!');
                window.location.replace(URLdir);
            }
            else
            {
                EventInspector_ShowMsg(data.error, "error");
            }
        });
        
    });
    
    $('#changepass_b').click(function()
    { 
        
        $.post(URLdir + 'handler/sign/changePassword', {
            'password': $.sha1($('#password').val()),
            'confirm_password': $.sha1($('#confirm_password').val()),
            'token': $('#token').val()
        },
        function(data)
        {
            data = $.parseJSON(data);
            if(data.success === true)
            {
                $('#changepass_b').val('Пароль успешно изменен!');
                window.location.replace(URLdir);
            }
            else
            {
                $('input').each(function(){
                    $(this).removeClass('wrong');
                });
                $('#errors').html('<ul>');
                $.each(data.errors, function(i){
                    EventInspector_ShowMsg(data.errors[i], "error");
                    $('#' + i).addClass('wrong');
                });
            }
        });
        
    });
    
    $('#signup_b').click(function()
    {
        
        $.post(URLdir + 'handler/sign/up', 
            {'activation_code': $('#activation_code').val(), 
            'login': $('#login').val(), 
            'password': $.sha1($('#password').val()),
            'confirm_password': $.sha1($('#confirm_password').val()),
            'email': $('#email').val(),
            'confirm_email': $('#confirm_email').val()},
        function(data)
        {
            data = $.parseJSON(data);
            if(data.success === true)
            {
                $('#signup_b').val('Всё отлично!');
                window.location.replace(URLdir);
            }
            else
            {
                $('input').each(function(){
                    $(this).removeClass('wrong');
                });
                $('#errors').html('<ul>');
                $.each(data.errors, function(i){
                    EventInspector_ShowMsg(data.errors[i], "error");
                    $('#' + i).addClass('wrong');
                });
            }
        });
    });
	
    $(document).keypress(function(event){
    if(event.keyCode==13)
    {
            if($('#login').is(':focus'))
            {
                $('#password').focus();
            }
            else if($('#password').is(':focus'))
            {
                $('#signin_b').trigger('click');
            }
            else if($('#email').is(':focus'))
            {
                $('#email').siblings('input[type=button]').trigger('click');
            }
        }
    });


    $('.Updates .left').click(function() {
        var block = $(this).closest('.Updates');
        block.removeClass('visible');
        block.next().addClass('visible');
    });

    $('.Updates .right').click(function() {
        var block = $(this).closest('.Updates');
        block.removeClass('visible');
        block.prev().addClass('visible');
    });

    $('.Updates').bind('mousewheel DOMMouseScroll', function(event){
        var block = $(this);
        if (event.originalEvent.wheelDelta > 0 || event.originalEvent.detail < 0) {
            if (block.next().hasClass('Updates')) {
                block.removeClass('visible');
                block.next().addClass('visible');  // scroll up == left
            }
        } else {
            if (block.prev().hasClass('Updates')) {
                block.removeClass('visible');
                block.prev().addClass('visible');  // scroll down == right
            }
        }
    });
});
